New Search

resolv.rb in Ruby 1.8.5 and earlier 1.8.6 before 1.8.6-p287 1.8.7 before 1.8.7-p72 and 1.9 r18423 and earlier uses sequential transaction IDs and constant source ports for DNS requests which makes it easier for remote attackers to spoof DNS responses a different vulnerability than CVE-2008-1447.

oval:org.mitre.oval:def:10034

resolv.rb in Ruby 1.8.5 and earlier 1.8.6 before 1.8.6-p287 1.8.7 before 1.8.7-p72 and 1.9 r18423 and earlier uses sequential transaction IDs and constant source ports for DNS requests which makes it easier for remote attackers to spoof DNS responses a different vulnerability than CVE-2008-1447.

Family:
unix
Status:
ACCEPTED
Platform(s):
  • CentOS Linux 5
  • Red Hat Enterprise Linux 3
  • Oracle Linux 5
  • Red Hat Enterprise Linux 4
  • CentOS Linux 4
  • CentOS Linux 3
  • Oracle Linux 4
  • Red Hat Enterprise Linux 5
Class:
vulnerability
Reference(s):
  • CVE-2008-3905
Product(s):